.. -*- rst -*-

.. module:: sd_parser

.. _sd-file:

===================
``.sd`` file format
===================

``.sd`` files are `soclib metadata` files. This is a custom file
format designed specifically for soclib primary needs. This file
format is the only built-in :ref:`soclib_desc-metadata_providers`, but
this is not exclusive.

This file format has some :ref:`limitations <sd-limitations>`.

.. toctree::
   :maxdepth: 2

   rationale
   data
   parameters

